## gst-plugins-bad1.0 1.22.9

=== debian/changelog ===
gst-plugins-bad1.0 (1.22.9-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Feb 2024 08:55:13 -0500

gst-plugins-bad1.0 (1.22.9-2) unstable; urgency=medium

  * Add patch to fix build with neon 0.33
  * Add Marc Leeman to Uploaders

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Feb 2024 08:17:19 -0500

gst-plugins-bad1.0 (1.22.9-1ubuntu2) noble; urgency=medium

  * Have libgstreamer-plugins-bad1.0-dev depend on -good1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Feb 2024 07:51:37 -0500

gst-plugins-bad1.0 (1.22.9-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Drop backported CVE patches included in new release
  * debian/gbp.conf: Use ubuntu/latest branch (on Salsa)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 10:16:57 -0500

gst-plugins-bad1.0 (1.22.9-1) unstable; urgency=high

  * Team upload
  * New upstream version 1.22.9
    - CVE-2024-0444 (ZDI-CAN-22873, GStreamer-SA-2024-001):
      AV1 codec parser potential buffer overflow during list tile parsing
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 20:04:39 -0500
