## gst-plugins-bad1.0 1.23.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.23.1-1) experimental; urgency=medium

  * d/control: add Marc to Uploaders
  * New upstream version 1.23.1
  * d/patches: neon 0.33 not needed
  * d/patches: refresh Skip-failing-tests.patch
  * d/control: depend on liblc3-dev
  * d/control: Build-Depends add libsvtav1enc-dev
  * d/install: install new libraries
  * d/control: bump gst dependency to 1.23.1
  * d/rules: disable aja
  * d/rules: qt6d3d11 disabled
  * d/rules: webrtcdsp disabled
  * d/control: libwebrtc-audio-processing-dev removed
  * d/install: remove libweebrtcdsp
  * d/install: remove gstkate.so
  * d/patches: disable vapostproc, avtpcrfcsync and vlcolorconvert tests

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 12 Feb 2024 16:55:23 +0100
