=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                flite-dev,
-               glslc [!i386],
-               gstreamer1.0-plugins-base (>= 1.22.0),
-               gstreamer1.0-plugins-good (>= 1.22.0),
+               glslc,
+               gstreamer1.0-plugins-base (>= 1.23.1),
+               gstreamer1.0-plugins-good (>= 1.23.1),
                gstreamer1.0-tools,
                ladspa-sdk,
                libaom-dev,
@@ -27,49 +26,50 @@
                libdc1394-dev (>= 2.2.5) [linux-any],
                libdca-dev,
                libde265-dev (>= 0.9),
-               libdirectfb-dev [!i386],
+               libdirectfb-dev,
                libdrm-dev (>= 2.4.98) [linux-any],
                libdvdnav-dev (>= 4.1.2) [!hurd-any],
                libexempi-dev,
                libexif-dev (>= 0.6.16),
                libfaad-dev (>= 2.7),
                libfluidsynth-dev (>= 1.0),
-               libfreeaptx-dev (>= 0.1.1) [!i386],
+               libfreeaptx-dev (>= 0.1.1),
                libgirepository1.0-dev (>= 0.9.12-4~),
                libglib2.0-dev (>= 2.68),
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-               libgstreamer1.0-dev (>= 1.22.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.23.1),
+               libgstreamer1.0-dev (>= 1.23.1),
                libgtk-3-dev (>= 3.15.0),
                libgudev-1.0-dev (>= 143) [linux-any],
                libiptcdata0-dev (>= 1.0.2),
                libjson-glib-dev,
                libkate-dev (>= 0.1.7),
+               liblc3-dev,
                liblcms2-dev (>= 2.7),
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                liblilv-dev (>= 0.22),
-               liblrdf0-dev [!i386],
-               libltc-dev (>= 1.1.4) [!i386],
+               liblrdf0-dev,
+               libltc-dev (>= 1.1.4),
                libmfx-dev [amd64],
                libmjpegtools-dev (>= 2.0.0),
                libmodplug-dev,
                libmpcdec-dev,
-               libneon27-dev [!i386],
+               libneon27-dev,
                libnice-dev (>= 0.1.20),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                libopenexr-dev,
                libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
-               libopenni2-dev (>= 0.26) [!i386],
+               libopenni2-dev (>= 0.26) [linux-any],
                libopus-dev (>= 0.9.4),
                liborc-0.4-dev (>= 1:0.4.24),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
-               libqrencode-dev [!i386],
+               libqrencode-dev,
                librsvg2-dev (>= 2.36.2),
                librtmp-dev,
                libsbc-dev (>= 1.1) [linux-any],
@@ -80,6 +80,7 @@
                libsrtp2-dev (>= 2.1),
                libssh2-1-dev (>= 1.4.3),
                libssl-dev (>= 1.1),
+               libsvtav1enc-dev,
                libusb-1.0-0-dev [linux-any],
                libva-dev (>= 1.8) [linux-any],
                libvo-aacenc-dev,
@@ -87,8 +88,9 @@
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.11.0) [linux-any],
                libwebp-dev (>= 0.2.1),
-               libwebrtc-audio-processing-dev (>= 0.2),
                libwildmidi-dev (>= 0.4.2),
+               libwpebackend-fdo-1.0-dev (>= 1.8.0) [linux-any],
+               libwpewebkit-1.1-dev (>= 2.28.0) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
                libx265-dev,
@@ -97,10 +99,10 @@
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
                libzvbi-dev,
-               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                meson,
                nettle-dev (>= 3),
-               opencv-data [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                wayland-protocols (>= 1.4) [linux-any],
                xauth,
                xvfb
@@ -136,8 +138,8 @@
 Package: gstreamer1.0-plugins-bad
 Architecture: any
 Multi-Arch: same
-Depends: gstreamer1.0-plugins-base (>= 1.22.0),
-         gstreamer1.0-plugins-good (>= 1.22.0),
+Depends: gstreamer1.0-plugins-base (>= 1.23.1),
+         gstreamer1.0-plugins-good (>= 1.23.1),
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -173,7 +175,7 @@
  real live maintainer, or some actual wide use.
 
 Package: gstreamer1.0-opencv
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: gstreamer1.0-plugins-base,
          libgstreamer-opencv1.0-0 (= ${binary:Version}),
@@ -204,6 +206,31 @@
  .
  This package contains the OpenCV plugins.
 
+Package: gstreamer1.0-wpe
+Architecture: linux-any
+Multi-Arch: same
+Depends: gstreamer1.0-plugins-base,
+         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+Description: GStreamer WPEWebKit plugin
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains the WPEWebKit plugin.
+
 Package: libgstreamer-plugins-bad1.0-0
 Architecture: any
 Multi-Arch: same
@@ -226,7 +253,7 @@
  is not guaranteed to be stable.
 
 Package: libgstreamer-opencv1.0-0
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
@@ -237,25 +264,3 @@
  anything from real-time sound processing to playing videos, and just
  about anything else media-related.  Its plugin-based architecture means
  that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains shared GStreamer libraries for OpenCV.
-
-Package: libgstreamer-plugins-bad1.0-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
-         libgstreamer-opencv1.0-0 (= ${binary:Version}) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
-         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev,
-         libgstreamer-plugins-good1.0-dev,
-         libgstreamer1.0-dev,
-         libopencv-dev (>= 2.3.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
-         ${misc:Depends}
-Conflicts: pitivi (<< 0.9999)
