=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                dh-sequence-gir,
                flite-dev,
                glslc,
-               gstreamer1.0-plugins-base (>= 1.23.1),
-               gstreamer1.0-plugins-good (>= 1.23.1),
+               gstreamer1.0-plugins-base (>= 1.24.0),
+               gstreamer1.0-plugins-good (>= 1.24.0),
                gstreamer1.0-tools,
                ladspa-sdk,
                libaom-dev,
@@ -39,8 +39,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.23.1),
-               libgstreamer1.0-dev (>= 1.23.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
+               libgstreamer1.0-dev (>= 1.24.0),
                libgtk-3-dev (>= 3.15.0),
                libgudev-1.0-dev (>= 143) [linux-any],
                libiptcdata0-dev (>= 1.0.2),
@@ -138,8 +138,8 @@
 Package: gstreamer1.0-plugins-bad
 Architecture: any
 Multi-Arch: same
-Depends: gstreamer1.0-plugins-base (>= 1.23.1),
-         gstreamer1.0-plugins-good (>= 1.23.1),
+Depends: gstreamer1.0-plugins-base (>= 1.24.0),
+         gstreamer1.0-plugins-good (>= 1.24.0),
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
