## gst-plugins-bad1.0 1.24.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.24.1-4) unstable; urgency=medium

  * Team upload
  * Update architectures where zxing is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 24 Mar 2024 16:36:51 -0400

gst-plugins-bad1.0 (1.24.1-3) unstable; urgency=medium

  * Team upload
  * Only build gstreamer1.0-wpe on select architectures to bootstrap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 09:55:24 -0400

gst-plugins-bad1.0 (1.24.1-2) unstable; urgency=medium

  * Team upload
  * Update list of architectures where opencv is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 08:51:46 -0400

gst-plugins-bad1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 10:38:48 +0100
