=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
                libneon27-dev,
                libnice-dev (>= 0.1.20),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64],
                libopenexr-dev,
                libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
@@ -90,7 +90,7 @@
                libwebp-dev (>= 0.2.1),
                libwildmidi-dev (>= 0.4.2),
                libwpebackend-fdo-1.0-dev (>= 1.8.0) [linux-any],
-               libwpewebkit-1.1-dev (>= 2.28.0) [linux-any],
+               libwpewebkit-1.1-dev (>= 2.28.0) [amd64 arm64 i386 mips64el ppc64el riscv64 s390x ia64 loong64 ppc64 sparc64 x32],
                libx11-dev,
                libx11-xcb-dev,
                libx265-dev,
@@ -99,10 +99,10 @@
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
                libzvbi-dev,
-               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
                meson,
                nettle-dev (>= 3),
-               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64],
                wayland-protocols (>= 1.4) [linux-any],
                xauth,
                xvfb
@@ -175,7 +175,7 @@
  real live maintainer, or some actual wide use.
 
 Package: gstreamer1.0-opencv
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
 Multi-Arch: same
 Depends: gstreamer1.0-plugins-base,
          libgstreamer-opencv1.0-0 (= ${binary:Version}),
@@ -207,7 +207,7 @@
  This package contains the OpenCV plugins.
 
 Package: gstreamer1.0-wpe
-Architecture: linux-any
+Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x ia64 loong64 ppc64 sparc64 x32
 Multi-Arch: same
 Depends: gstreamer1.0-plugins-base,
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
@@ -253,7 +253,7 @@
  is not guaranteed to be stable.
 
 Package: libgstreamer-opencv1.0-0
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha ppc64 sparc64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
